GCLOUD_KMS_KEYS_REMOVE-ROTATION-SCHEDULE(1)

NAME

gcloud kms keys remove-rotation-schedule - remove the rotation schedule for a key

SYNOPSIS

gcloud kms keys remove-rotation-schedule KEY [--keyring=KEYRING] [--location=LOCATION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Removes the rotation schedule for the given key.

POSITIONAL ARGUMENTS

    KEY Name of the key from which to clear the rotation schedule.

FLAGS

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command removes the rotation schedule for the key named frodo within the keyring fellowship and location global:
    $ gcloud kms keys remove-rotation-schedule frodo \
        --location global \
        --keyring fellowship